com.h3c.sdn.flowmgr

## Interface FlowRule

-     public interface FlowRule

  Embodies a flow rule. The meters and groups associated with this flow are attached to this instance. TODO: rework this description.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MBodyGroupDescStats` | `group(GroupId groupId)` Returns the group description for the specified group ID.
    `List<Instruction>` | `instructions(TableId tableId)` Returns the list of effective instructions for the given table.
    `Match` | `match()` Returns the match associated with this flow.
    `MBodyMeterConfig` | `meter(MeterId meterId)` Returns the meter configuration for the specified meter ID.
    `List<TableId>` | `tables()` Returns the identities of the tables included in this flow, based on the associated match.

- - ### Method Detail

    - #### match

          Match match()

      Returns the match associated with this flow.
      Returns:
        the match

    - #### tables

          List<TableId> tables()

      Returns the identities of the tables included in this flow, based on the associated match. The IDs are returned in ascending order.
      Returns:
        the list of tables

    - #### instructions

          List<Instruction> instructions(TableId tableId)

      Returns the list of effective instructions for the given table. The instructions are returned in priority order.
      Parameters:
        `tableId` - the table ID
      Returns:
        the instructions

    - #### meter

          MBodyMeterConfig meter(MeterId meterId)

      Returns the meter configuration for the specified meter ID.
      Parameters:
        `meterId` - the meter ID
      Returns:
        the corresponding meter configuration

    - #### group

          MBodyGroupDescStats group(GroupId groupId)

      Returns the group description for the specified group ID.
      Parameters:
        `groupId` - the group ID
      Returns:
        the corresponding group description

Copyright © 2014. All Rights Reserved.